Name:           tig
Version:        0.7
Release:        4%{?dist}
Summary:        Text-mode interface for the git revision control system

Group:          Development/Tools
License:        GPL
URL:            http://jonas.nitro.dk/tig
Source0:        http://jonas.nitro.dk/tig/releases/%{name}-%{version}.tar.gz
Patch0:         Supply-explicit-permission-bits-to-install.patch
Patch1:         Allow-CFLAGS-to-be-overridden-while-preserving-VERSI.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
BuildRequires:  xmlto
BuildRequires:  asciidoc
Requires:       git-core

%description
Tig is a repository browser for the git revision control system that
additionally can act as a pager for output from various git commands.

When browsing repositories, it uses the underlying git commands to present the
user with various views, such as summarized revision log and showing the commit
with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
make CFLAGS='%{optflags}' %{?_smp_mflags} all doc-man doc-html

#Convert to unix line endings
sed -i -e 's/\r//' *.html


%install
rm -rf $RPM_BUILD_ROOT
make install install-doc-man DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} \
    mandir=%{_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README SITES BUGS manual.txt *.html

%{_bindir}/tig

%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*


%changelog
* Sat Jun 02 2007 James Bowes <jbowes@redhat.com> - 0.7-4
- Ensure that the version string is set in the binary.

* Fri Jun 01 2007 James Bowes <jbowes@redhat.com> - 0.7-3
- Incorporate differences from jcollie's tig spec.

* Fri Jun 01 2007 James Bowes <jbowes@redhat.com> - 0.7-2
- Update spec file after review feedback.

* Thu May 31 2007 James Bowes <jbowes@redhat.com> - 0.7-1
- Initial packaging.
